Skip to content

KYC review state change
Webhook

Request

Triggered when a KYC review state has changed.

In previous versions, this event fired only when the overall KYC review state changed. In v5.0.0, it fires on every requirement or additional requirement state change, which may result in receiving more events. See data.resource.prevState and data.resource.requirementChanges for details on what changed.

  • Event type: kyc-reviews#state-change
  • Profile level subscriptions: Not Supported
  • Application level subscriptions: Supported

See the Webhooks guide for setup instructions, signature verification, and best practices.

Headers
X-Signature-SHA256string

RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.

Example:t7FMhk3OARMgwqz0LJXO...
X-Delivery-Idstring, (uuid)

Unique identifier for this webhook delivery attempt.

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
X-Test-Notificationboolean

Present with the value true if this is a test notification sent to verify your callback URL during subscription setup.

Example:true
Bodyapplication/json
schema_versionstring

Version of the event schema. Determined by the schema_version on your webhook subscription.

Value:"5.0.0"
Example:"5.0.0"
Discriminator
subscription_idstring, (uuid)

ID of the webhook subscription that triggered this event.

Example:"8df95817-8085-40aa-9bda-e3bf46e7a21a"
event_typestring

Event type identifier

Example:"kyc-reviews#state-change"
sent_atstring, (date-time)

Timestamp when the event was sent.

Example:"2024-09-03T16:29:42.123Z"
dataobject
Payload
{ "schema_version": "5.0.0", "subscription_id": "8df95817-8085-40aa-9bda-e3bf46e7a21a", "event_type": "kyc-reviews#state-change", "sent_at": "2024-09-03T16:29:42.123Z", "data": { "resource": { "id": "46e1a5c4-4a9b-4563-39d3-18174d3ac0f8", "state": "WAITING_CUSTOMER_INPUT", "prevState": "WAITING_CUSTOMER_INPUT", "profileId": 22016766, "requiredBy": "2024-09-03T16:22:02.258Z", "createdAt": "2024-09-03T16:22:02.258Z", "updatedAt": "2024-09-03T16:29:41.148Z", "triggerReferences": [], "requirements": [], "requirementChanges": [] } } }

Responses

Return any 2xx status to acknowledge receipt of the event.

Bodyapplication/json
statusstring
Example:"ok"
Response
{ "status": "ok" }